\name{subsample.cols}
\alias{subsample.cols}
\title{subsample an array, averaging every dx cols.}
\usage{
  subsample.cols(x, dx, ...)
}
\arguments{
  \item{x}{array to subsample}

  \item{dx}{how many cols to average over}

  \item{...}{passed into \code{rowMeans}}
}
\value{
  array of the same size as \code{x}, except number of cols
  is \code{ncol(x)/dx}.
}
\description{
  subsample an array, averaging every dx cols.
}
\note{
  assumes \code{nrow(x)} is exactly divisible by \code{dy}
}
\seealso{
  Other subsample: \code{\link{imdownsample}},
  \code{\link{imsubsample}}, \code{\link{subsample.rows}}
}
\keyword{internal}

