\name{imload}
\alias{imload}
\title{loads an image from a file path.}
\usage{
  imload(imageOrPath, max = imageUtilities.option("max"),
    greyscale = FALSE)
}
\arguments{
  \item{imageOrPath}{the path to the image to load.}

  \item{max}{what to scale the output image to.}

  \item{greyscale}{whether the image is greyscale or not.
  All it does is return \code{imsqueeze} on the first
  channel of the image.}
}
\value{
  an array, (ny,nx,numchanns).
}
\description{
  loads an image from a file path.
}
\note{
  supported formats: jpeg, tiff (require Voir), bin (ie
  thermal), png (requires library(png))
}
\seealso{
  Other io: \code{\link{imsave}}
}

