\docType{data}
\name{IM.ALL}
\alias{backwardscompatibility}
\alias{backwards-compatibility}
\alias{compatibility}
\alias{dummy}
\alias{IM.ALL}
\alias{IM.BINARY}
\alias{IM.CHAR}
\alias{IM.DOUBLE}
\alias{IM.FLOAT}
\alias{imgetimgtype}
\alias{imgetpixtype}
\alias{IM.INT}
\alias{IM.INT1}
\alias{IM.INT2}
\alias{IM.INT4}
\alias{IM.INT8}
\alias{IM.RGB}
\alias{imsetimgtype}
\alias{imsetpixtype}
\alias{IM.SHORT}
\alias{IM.SINGLE}
\alias{IM.UINT1}
\alias{IM.UINT2}
\alias{IM.UINT4}
\alias{IM.UINT8}
\alias{voir-compatibility}
\title{Dummy functions and constants to mask Voir functions that do nothing}
\format{NULL}
\usage{
  IM.ALL

  IM.RGB

  IM.BINARY

  IM.CHAR

  IM.DOUBLE

  IM.FLOAT

  IM.INT

  IM.INT1

  IM.INT2

  IM.INT4

  IM.INT8

  IM.SHORT

  IM.SINGLE

  IM.UINT1

  IM.UINT2

  IM.UINT4

  IM.UINT8

  imsetimgtype(...)

  imsetpixtype(...)

  imgetpixtype(...)

  imgetimgtype(...)
}
\arguments{
  \item{...}{ignored}
}
\value{
  nothing
}
\description{
  Dummy functions and constants to mask Voir functions that
  do nothing
}
\note{
  These functions don't do anything. They're just there so
  scripts done with the Voir version of this package still
  work in the non-Voir version.
}
\keyword{datasets}

